Page MenuHomePhabricator

Refactor RdfBuilder to handle properties metadata properly
Closed, ResolvedPublic

Description

With T157311: Define extension point for mapping custom entity types to RDF. being done in https://gerrit.wikimedia.org/r/340930, now it's time to clean up RdfBuilder to make it more entity-type-agnostic. One part is to move out properties related codes to a dedicated PropertyRdfBuilder class.

Patch-For-Review:

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMar 13 2017, 9:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ladsgroup updated the task description. (Show Details)Mar 25 2017, 11:30 AM
thiemowmde triaged this task as Normal priority.Mar 25 2017, 11:40 AM
thiemowmde updated the task description. (Show Details)
thiemowmde added a subscriber: daniel.
Restricted Application added a project: Wikidata. · View Herald TranscriptMar 25 2017, 11:40 AM

Why "Doing"? The only patch for this should be merged soon (thanks to jenkins it's not merged yet) and then I think we can consider this done.

daniel added a comment.Apr 2 2017, 4:36 PM

I was thinking of how the list of reference data types is maintained, as mentioned by stas. I now filed a separate ticket for that https://phabricator.wikimedia.org/T161991

Change 342537 merged by Daniel Kinzler:
[mediawiki/extensions/Wikibase@master] Refactor RdfBuilder to handle properties metadata properly

https://gerrit.wikimedia.org/r/342537

Ladsgroup closed this task as Resolved.Apr 9 2017, 9:30 AM
Ladsgroup removed a project: Patch-For-Review.
Ladsgroup moved this task from Blocked on others to Done on the User-Ladsgroup board.